

// global variable for storing the current language
var language;

// global variable for storing the current language ID
var langID;

// global variable for storing NLS array
var arrayID;

// variables to store language IDs
// if the script finds this string in the URL, it chooses the language associated.
var eng = "?eng";
var por = "?por";
var pol = "?pol";
var ita = "?ita";
var esp = "?esp";
var fra = "?fra";
var ger = "?ger";
var chi = "?chi";
var tch = "?tch";
var jap = "?jap";
var kor = "?kor";
var czn = "?czn";
var tur = "?tur";
var cat = "?cat";
var hun = "?hun";
var rus = "?rus";
var slk = "?slk";
var slv = "?slv";

//the following arrays contain the names of the guides
var arrayGuideName = new Array("SDK and Runtime Environment Guide", "Java Security Guide", "Readmefirst", 
									"RMI-IIOP Guide", "Information for Japanese Users", "License", "Copyright", "Notices");

//the following function chooses the language in which to display the guides, based on the choice the user made in the
//startHere.htm page - the language is selected depending on the URL of the container page (index.en.html?language)
function chooseLanguage() {
    
    loc = parent.location.href; // get URL of the container page, index.en.html
    
    var langPath = new Array;

    //the following if..else block check which language the guides should be displayed in, and sets the variables
    // language, langId, and arrayID to the appropriate values
    if(loc.indexOf(eng) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="en";
        langPath[1]="en";
    }
    else if(loc.indexOf(por) != -1){
        arrayID = arrayGuideName;
        langPath[0]="pt";
        langPath[1]="pt";
    }
    else if(loc.indexOf(ita) != -1){
        arrayID = arrayGuideName;
        langPath[0]="it";
        langPath[1]="it";
    }
    else if(loc.indexOf(esp) != -1){
        arrayID = arrayGuideName;
        langPath[0]="es";
        langPath[1]="es";
    }
    else if(loc.indexOf(fra) != -1){
        arrayID = arrayGuideName;
        langPath[0]="fr";
        langPath[1]="fr";
    }
    else if(loc.indexOf(ger) != -1){
        arrayID = arrayGuideName;
        langPath[0]="de";
        langPath[1]="de";
    }
    else if(loc.indexOf(chi) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="zh_Hans";
        langPath[1]="zh_Hans";
    }
    else if(loc.indexOf(tch) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="zh_Hant";
        langPath[1]="zh_Hant";
    }
    else if(loc.indexOf(jap) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="ja";
        langPath[1]="ja";
    }
    else if(loc.indexOf(kor) != -1){
        arrayID = arrayGuideName;
        langPath[0]="ko";
        langPath[1]="ko";
    }
    else if(loc.indexOf(czn) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; // normal guides not translated
        langPath[1]="cs";
    }
    else if(loc.indexOf(tur) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="tr";
    }
    else if(loc.indexOf(pol) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="pl";
    }
    else if(loc.indexOf(cat) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="ca";
    }
    else if(loc.indexOf(hun) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="hu";
    }
    else if(loc.indexOf(rus) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="ru";
    }
    else if(loc.indexOf(slk) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="sk";
    }
    else if(loc.indexOf(slv) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="sl";
    }
    
return langPath;

}
    
function createAssocArray(guidesArray) {
    chooseLanguage();
    var twoDimArray = new Array;
    for(i=0; i<guidesArray.length; i++) {
        
        if(guidesArray[i].indexOf("sdkandruntime") != -1) {
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[0];
        }                  
        else if (guidesArray[i].indexOf("securityguide") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[1];
        }
        else if (guidesArray[i].indexOf("readmefirst") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[2];
        }
        else if (guidesArray[i].indexOf("rmi") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[3];
        }
        else if (guidesArray[i].indexOf("japanese") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[4];
        }   
        else if (guidesArray[i].indexOf("license") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[5];
        }   
        else if (guidesArray[i].indexOf("COPYRIGHT") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[6];
        }   
        else if (guidesArray[i].indexOf("otices") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[7];
        }   
    }
    //alert("The chosen language is: " + language + "\nLanguage ID: " + langId + "\narrayId: " + arrayID);
    return twoDimArray;
}

//the following function writes the TOC in the toc.htm file
//first it calls the function createAssocArray() on an array that has a list of the
//file paths to the various user guides. this results in a 2-dimensional array that has the
//path of the user guide and the name to display in the browser. 
//after writing the opening <UL> tag, this function iterates through the 2-dimensional array to
//create the links to the various user guides
function writeToc(arrayGuidePaths) {
    var twoDim = createAssocArray(arrayGuidePaths); // create 2-dimensional array from array containing user guide paths
    document.write("<UL>"); // write opening <UL> tag
    
    //iterate through 2-dim array and write links in toc.htm file  
    for (i=0; i<twoDim.length; i++){
        document.write("<LI><A href='" + twoDim[i][0] + "' target='Content'>" + twoDim[i][1] + "</A></LI>");
    }
    
    document.write("</UL>"); // write closing </UL> tag

}
        


// SIG // Begin signature block
// SIG // MIIZLgYJKoZIhvcNAQcCoIIZHzCCGRsCAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFCPXffISkKcE
// SIG // aHE6M6OfSrCezNkboIIUKDCCA+4wggNXoAMCAQICEH6T
// SIG // 6/t8xk5Z6kuad9QG/DswDQYJKoZIhvcNAQEFBQAwgYsx
// SIG // CzAJBgNVBAYTAlpBMRUwEwYDVQQIEwxXZXN0ZXJuIENh
// SIG // cGUxFDASBgNVBAcTC0R1cmJhbnZpbGxlMQ8wDQYDVQQK
// SIG // EwZUaGF3dGUxHTAbBgNVBAsTFFRoYXd0ZSBDZXJ0aWZp
// SIG // Y2F0aW9uMR8wHQYDVQQDExZUaGF3dGUgVGltZXN0YW1w
// SIG // aW5nIENBMB4XDTEyMTIyMTAwMDAwMFoXDTIwMTIzMDIz
// SIG // NTk1OVowXjELMAkGA1UEBhMCVVMxHTAbBgNVBAoTFFN5
// SIG // bWFudGVjIENvcnBvcmF0aW9uMTAwLgYDVQQDEydTeW1h
// SIG // bnRlYyBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENBIC0g
// SIG // RzIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
// SIG // AQCxrLNJVEuXHBIK2CV5kSJXKm/cuCbEQ3Nrwr8uUFr7
// SIG // FMJ2jkMBJUO0oeJF9Oi3e8N0zCLXtJQAAvdN7b+0t0Qk
// SIG // a81fRTvRRM5DEnMXgotptCvLmR6schsmTXEfsTHd+1Fh
// SIG // AlOmqvVJLAV4RaUvic7nmef+jOJXPz3GktxK+Hsz5HkK
// SIG // +/B1iEGc/8UDUZmq12yfk2mHZSmDhcJgFMTIyTsU2sCB
// SIG // 8B8NdN6SIqvK9/t0fCfm90obf6fDni2uiuqm5qonFn1h
// SIG // 95hxEbziUKFL5V365Q6nLJ+qZSDT2JboyHylTkhE/xni
// SIG // RAeSC9dohIBdanhkRc1gRn5UwRN8xXnxycFxAgMBAAGj
// SIG // gfowgfcwHQYDVR0OBBYEFF+a9W5czMx0mtTdfe8/2+xM
// SIG // gC7dMDIGCCsGAQUFBwEBBCYwJDAiBggrBgEFBQcwAYYW
// SIG // aHR0cDovL29jc3AudGhhd3RlLmNvbTASBgNVHRMBAf8E
// SIG // CDAGAQH/AgEAMD8GA1UdHwQ4MDYwNKAyoDCGLmh0dHA6
// SIG // Ly9jcmwudGhhd3RlLmNvbS9UaGF3dGVUaW1lc3RhbXBp
// SIG // bmdDQS5jcmwwEwYDVR0lBAwwCgYIKwYBBQUHAwgwDgYD
// SIG // VR0PAQH/BAQDAgEGMCgGA1UdEQQhMB+kHTAbMRkwFwYD
// SIG // VQQDExBUaW1lU3RhbXAtMjA0OC0xMA0GCSqGSIb3DQEB
// SIG // BQUAA4GBAAMJm495739ZMKrvaLX64wkdu0+CBl03X6ZS
// SIG // nxaN6hySCURu9W3rWHww6PlpjSNzCxJvR6muORH4KrGb
// SIG // sBrDjutZlgCtzgxNstAxpghcKnr84nodV0yoZRjpeUBi
// SIG // JZZux8c3aoMhCI5B6t3ZVz8dd0mHKhYGXqY4aiISo1EZ
// SIG // g362MIIEozCCA4ugAwIBAgIQDs/0OMj+vzVuBNhqmBsa
// SIG // UDANBgkqhkiG9w0BAQUFADBeMQswCQYDVQQGEwJVUzEd
// SIG // MBsGA1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24xMDAu
// SIG // BgNVBAMTJ1N5bWFudGVjIFRpbWUgU3RhbXBpbmcgU2Vy
// SIG // dmljZXMgQ0EgLSBHMjAeFw0xMjEwMTgwMDAwMDBaFw0y
// SIG // MDEyMjkyMzU5NTlaMGIxCzAJBgNVBAYTAlVTMR0wGwYD
// SIG // VQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlvbjE0MDIGA1UE
// SIG // AxMrU3ltYW50ZWMgVGltZSBTdGFtcGluZyBTZXJ2aWNl
// SIG // cyBTaWduZXIgLSBHNDCCASIwDQYJKoZIhvcNAQEBBQAD
// SIG // ggEPADCCAQoCggEBAKJjCzlEuLsjp0RJuw7/ofBhClOT
// SIG // sJjbrSwPSsVu/4Y8U1UPFc4EPyv9qZaW2b5heQtbyUyG
// SIG // duXgQ0sile7CK0PBn9hotI5AT+6FOLkRxSPyZFjwFTJv
// SIG // TlehroikAtcqHs1L4d1j1ReJMluwXplaqJ0oUA4X7pbb
// SIG // YTtFUR3PElYLkkf8q672Zj1HrHBy55LnX80QucSDZJQZ
// SIG // vSWA4ejSIqXQugJ6oXeTW2XD7hd0vEGGKtwITIySjJEt
// SIG // nndEH2jWqHR32w5bMotWizO92WPISZ06xcXqMwvS8aMb
// SIG // 9Iu+2bNXizveBKd6IrIkri7HcMW+ToMmCPsLvalPmQjh
// SIG // EChyqs0CAwEAAaOCAVcwggFTMAwGA1UdEwEB/wQCMAAw
// SIG // FgYDVR0lAQH/BAwwCgYIKwYBBQUHAwgwDgYDVR0PAQH/
// SIG // BAQDAgeAMHMGCCsGAQUFBwEBBGcwZTAqBggrBgEFBQcw
// SIG // AYYeaHR0cDovL3RzLW9jc3Aud3Muc3ltYW50ZWMuY29t
// SIG // MDcGCCsGAQUFBzAChitodHRwOi8vdHMtYWlhLndzLnN5
// SIG // bWFudGVjLmNvbS90c3MtY2EtZzIuY2VyMDwGA1UdHwQ1
// SIG // MDMwMaAvoC2GK2h0dHA6Ly90cy1jcmwud3Muc3ltYW50
// SIG // ZWMuY29tL3Rzcy1jYS1nMi5jcmwwKAYDVR0RBCEwH6Qd
// SIG // MBsxGTAXBgNVBAMTEFRpbWVTdGFtcC0yMDQ4LTIwHQYD
// SIG // VR0OBBYEFEbGaaMOShQe1UzaUmMXP142vA3mMB8GA1Ud
// SIG // IwQYMBaAFF+a9W5czMx0mtTdfe8/2+xMgC7dMA0GCSqG
// SIG // SIb3DQEBBQUAA4IBAQB4O7SRKgBM8I9iMDd4o4QnB28Y
// SIG // st4l3KDUlAOqhk4ln5pAAxzdzuN5yyFoBtq2MrRtv/Qs
// SIG // JmMz5ElkbQ3mw2cO9wWkNWx8iRbG6bLfsundIMZxD82V
// SIG // dNy2XN69Nx9DeOZ4tc0oBCCjqvFLxIgpkQ6A0RH83Vx2
// SIG // bk9eDkVGQW4NsOo4mrE62glxEPwcebSAe6xp9P2ctgwW
// SIG // K/F/Wwk9m1viFsoTgW0ALjgNqCmPLOGy9FqpAa8VnCwv
// SIG // SRvbIrvD/niUUcOGsYKIXfA9tFGheTMrLnu53CAJE3Hr
// SIG // ahlbz+ilMFcsiUk/uc9/yb8+ImhjU5q9aXSsxR08f5Lg
// SIG // w7wc2AR1MIIFfTCCBGWgAwIBAgIQS9QXkay9m+MT7mgH
// SIG // C/NRRjANBgkqhkiG9w0BAQUFADCBtDELMAkGA1UEBhMC
// SIG // VVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYD
// SIG // VQQLExZWZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTswOQYD
// SIG // VQQLEzJUZXJtcyBvZiB1c2UgYXQgaHR0cHM6Ly93d3cu
// SIG // dmVyaXNpZ24uY29tL3JwYSAoYykxMDEuMCwGA1UEAxMl
// SIG // VmVyaVNpZ24gQ2xhc3MgMyBDb2RlIFNpZ25pbmcgMjAx
// SIG // MCBDQTAeFw0xMTA5MjYwMDAwMDBaFw0xNDA5MjUyMzU5
// SIG // NTlaMIHAMQswCQYDVQQGEwJHQjESMBAGA1UECBMJSGFt
// SIG // cHNoaXJlMRMwEQYDVQQHEwpQb3J0c21vdXRoMSMwIQYD
// SIG // VQQKFBpJQk0gVW5pdGVkIEtpbmdkb20gTGltaXRlZDE+
// SIG // MDwGA1UECxM1RGlnaXRhbCBJRCBDbGFzcyAzIC0gTWlj
// SIG // cm9zb2Z0IFNvZnR3YXJlIFZhbGlkYXRpb24gdjIxIzAh
// SIG // BgNVBAMUGklCTSBVbml0ZWQgS2luZ2RvbSBMaW1pdGVk
// SIG // MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA
// SIG // +fnbLR2sU9ief9NoNLh9q0pB7mnJsjJY3uBVKkGttsv8
// SIG // uG3M+Sd2MdyeEurj4R6mF9i9Tnh0ivVdoOnA4T4E+zZN
// SIG // /z9yWcWNZNkQZGuTrrHRyVmG6M0AHtFOUCITzYfpjSRJ
// SIG // MkWIW1QQjtIl+eZVQz+pqJxD+u7Eq2G/3tuB3qncTn1c
// SIG // pEqT+Tr/vSQkByoSXAvZC8jZMMMJBfeflQMHM5VKu62R
// SIG // 2EFEyEpaPtA6MLF1JoVuQSJAcPSWYdUuCJwSni19kcAS
// SIG // xuhq76MIvXqDqyalDszxfoueaVemPSGhVrfVLtfZCAP9
// SIG // UeRaT65EjYbl3fGXDRwwkdQtcq726CVm9wIDAQABo4IB
// SIG // ezCCAXcwCQYDVR0TBAIwADAOBgNVHQ8BAf8EBAMCB4Aw
// SIG // QAYDVR0fBDkwNzA1oDOgMYYvaHR0cDovL2NzYzMtMjAx
// SIG // MC1jcmwudmVyaXNpZ24uY29tL0NTQzMtMjAxMC5jcmww
// SIG // RAYDVR0gBD0wOzA5BgtghkgBhvhFAQcXAzAqMCgGCCsG
// SIG // AQUFBwIBFhxodHRwczovL3d3dy52ZXJpc2lnbi5jb20v
// SIG // cnBhMBMGA1UdJQQMMAoGCCsGAQUFBwMDMHEGCCsGAQUF
// SIG // BwEBBGUwYzAkBggrBgEFBQcwAYYYaHR0cDovL29jc3Au
// SIG // dmVyaXNpZ24uY29tMDsGCCsGAQUFBzAChi9odHRwOi8v
// SIG // Y3NjMy0yMDEwLWFpYS52ZXJpc2lnbi5jb20vQ1NDMy0y
// SIG // MDEwLmNlcjAfBgNVHSMEGDAWgBTPmanqeyb0S8mOj9fw
// SIG // BSbv49KnnTARBglghkgBhvhCAQEEBAMCBBAwFgYKKwYB
// SIG // BAGCNwIBGwQIMAYBAQABAf8wDQYJKoZIhvcNAQEFBQAD
// SIG // ggEBAELIY9rSSKRt7c8tywFQksLAe3f8RBcZt8xJQL5o
// SIG // ZxGRazzjg0UwAykJvefkSr0w8soEaD9pBk5x55SiTT25
// SIG // jP1BEgF0/VcGRT/HjrbkolJeQrp2wYAutzdys5GAemsp
// SIG // jVUj0aofDNgX97IhEzQqYoSyYV0E2CfTqADW55Vao0hv
// SIG // bjNARAjR78fz4uECR0iSZYUTf4EuyQHMQw+tor1YwTkZ
// SIG // ayfksqNr+jUckEdngB9tpLGVSPS9J/+A8IvyfTsW9jT0
// SIG // 2o8RkWSemFiJkpvsEZseYVZ6v0goxGvn+wKdJFDgrWwk
// SIG // j3CFwR//GNeyE76iCpsM6ubDsOGXPAVLLy1gfZUwggYK
// SIG // MIIE8qADAgECAhBSAOWqJVb8GobtlsnUSzPHMA0GCSqG
// SIG // SIb3DQEBBQUAMIHKMQswCQYDVQQGEwJVUzEXMBUGA1UE
// SIG // ChMOVmVyaVNpZ24sIEluYy4xHzAdBgNVBAsTFlZlcmlT
// SIG // aWduIFRydXN0IE5ldHdvcmsxOjA4BgNVBAsTMShjKSAy
// SIG // MDA2IFZlcmlTaWduLCBJbmMuIC0gRm9yIGF1dGhvcml6
// SIG // ZWQgdXNlIG9ubHkxRTBDBgNVBAMTPFZlcmlTaWduIENs
// SIG // YXNzIDMgUHVibGljIFByaW1hcnkgQ2VydGlmaWNhdGlv
// SIG // biBBdXRob3JpdHkgLSBHNTAeFw0xMDAyMDgwMDAwMDBa
// SIG // Fw0yMDAyMDcyMzU5NTlaMIG0MQswCQYDVQQGEwJVUzEX
// SIG // MBUGA1UEChMOVmVyaVNpZ24sIEluYy4xHzAdBgNVBAsT
// SIG // FlZlcmlTaWduIFRydXN0IE5ldHdvcmsxOzA5BgNVBAsT
// SIG // MlRlcm1zIG9mIHVzZSBhdCBodHRwczovL3d3dy52ZXJp
// SIG // c2lnbi5jb20vcnBhIChjKTEwMS4wLAYDVQQDEyVWZXJp
// SIG // U2lnbiBDbGFzcyAzIENvZGUgU2lnbmluZyAyMDEwIENB
// SIG // MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA
// SIG // 9SNLXqXXirsy6dRX9+/kxyZ+rRmY/qidfZT2NmsQ13WB
// SIG // MH8EaH/LK3UezR0IjN9plKc3o5x7gOCZ4e43TV/OOxTu
// SIG // htTQ9Sc1vCULOKeMY50Xowilq7D7zWpigkzVIdob2fHj
// SIG // hDuKKk+FW5ABT8mndhB/JwN8vq5+fcHd+QW8G0icaefA
// SIG // pDw8QQA+35blxeSUcdZVAccAJkpAPLWhJqkMp22AjpAl
// SIG // e8+/PxzrL5b65Yd3xrVWsno7VDBTG99iNP8e0fRakyiF
// SIG // 5UwXTn5b/aSTmX/fze+kde/vFfZH5/gZctguNBqmtKdM
// SIG // fr27Tww9V/Ew1qY2jtaAdtcZLqXNfjQtiQIDAQABo4IB
// SIG // /jCCAfowEgYDVR0TAQH/BAgwBgEB/wIBADBwBgNVHSAE
// SIG // aTBnMGUGC2CGSAGG+EUBBxcDMFYwKAYIKwYBBQUHAgEW
// SIG // HGh0dHBzOi8vd3d3LnZlcmlzaWduLmNvbS9jcHMwKgYI
// SIG // KwYBBQUHAgIwHhocaHR0cHM6Ly93d3cudmVyaXNpZ24u
// SIG // Y29tL3JwYTAOBgNVHQ8BAf8EBAMCAQYwbQYIKwYBBQUH
// SIG // AQwEYTBfoV2gWzBZMFcwVRYJaW1hZ2UvZ2lmMCEwHzAH
// SIG // BgUrDgMCGgQUj+XTGoasjY5rw8+AatRIGCx7GS4wJRYj
// SIG // aHR0cDovL2xvZ28udmVyaXNpZ24uY29tL3ZzbG9nby5n
// SIG // aWYwNAYDVR0fBC0wKzApoCegJYYjaHR0cDovL2NybC52
// SIG // ZXJpc2lnbi5jb20vcGNhMy1nNS5jcmwwNAYIKwYBBQUH
// SIG // AQEEKDAmMCQGCCsGAQUFBzABhhhodHRwOi8vb2NzcC52
// SIG // ZXJpc2lnbi5jb20wHQYDVR0lBBYwFAYIKwYBBQUHAwIG
// SIG // CCsGAQUFBwMDMCgGA1UdEQQhMB+kHTAbMRkwFwYDVQQD
// SIG // ExBWZXJpU2lnbk1QS0ktMi04MB0GA1UdDgQWBBTPmanq
// SIG // eyb0S8mOj9fwBSbv49KnnTAfBgNVHSMEGDAWgBR/02Wn
// SIG // wt3su/AwCfNDOfoCrzMxMzANBgkqhkiG9w0BAQUFAAOC
// SIG // AQEAViLmNKTEYctIuQGtVqhkD9mMkcS7zAzlrXqgIn/f
// SIG // RzhKLWzRf3EafOxwqbHwT+QPDFP6FV7+dJhJJIWBJhyR
// SIG // FEewTGOMu6E01MZF6A2FJnMD0KmMZG3ccZLmRQVgFVlR
// SIG // OfxYFGv+1KTteWsIDEFy5zciBgm+I+k/RJoe6WGdzLGQ
// SIG // XPw90o2sQj1lNtS0PUAoj5sQzyMmzEsgy5AfXYxMNMo8
// SIG // 2OU31m+lIL006ybZrg3nxZr3obQhkTNvhuhYuyV8dA5Y
// SIG // /nUbYz/OMXybjxuWnsVTdoRbnK2R+qztk7pdyCFTwoJT
// SIG // Y68SDVCHERs9VFKWiiycPZIaCJoFLseTpUiR0zGCBHIw
// SIG // ggRuAgEBMIHJMIG0MQswCQYDVQQGEwJVUzEXMBUGA1UE
// SIG // ChMOVmVyaVNpZ24sIEluYy4xHzAdBgNVBAsTFlZlcmlT
// SIG // aWduIFRydXN0IE5ldHdvcmsxOzA5BgNVBAsTMlRlcm1z
// SIG // IG9mIHVzZSBhdCBodHRwczovL3d3dy52ZXJpc2lnbi5j
// SIG // b20vcnBhIChjKTEwMS4wLAYDVQQDEyVWZXJpU2lnbiBD
// SIG // bGFzcyAzIENvZGUgU2lnbmluZyAyMDEwIENBAhBL1BeR
// SIG // rL2b4xPuaAcL81FGMAkGBSsOAwIaBQCgcDAQBgorBgEE
// SIG // AYI3AgEMMQIwADAZBgkqhkiG9w0BCQMxDAYKKwYBBAGC
// SIG // NwIBBDAcBgorBgEEAYI3AgELMQ4wDAYKKwYBBAGCNwIB
// SIG // FTAjBgkqhkiG9w0BCQQxFgQUbrKKb/suM9wZhdptQYWa
// SIG // mTw+5+4wDQYJKoZIhvcNAQEBBQAEggEAzSgeaIfjh2CN
// SIG // pUlaXwZBWwXCOQRURE+7dtEtD+aT/KcIx2bV+QXOxom1
// SIG // Kf+J/Hux0fM8Y6Tvg3sWnrQdx7CDAaQ04s0yZxJ9WzfZ
// SIG // /ns99y8TJSKENuZi3GOj375m2oSE1JfJpeHceYXaB6QI
// SIG // ojQ1fNTo8oVFpCLpYVwu854Teh91C9wgvsI07sJm79Ey
// SIG // pMPlGkdzvyiBHUjsurH1tANrcfPfBrtRVB3UHQz3acgD
// SIG // mYVG1KBKGY6PD7e9OGqKpE1EBvrdxbzUg4kBoSTZ9VLR
// SIG // NPqZyrhRYE2zJCTh48SQlDXfvDtsTLshu5LDzL97qWB8
// SIG // VTcA1GF6p62aKSiBvEWGw6GCAgswggIHBgkqhkiG9w0B
// SIG // CQYxggH4MIIB9AIBATByMF4xCzAJBgNVBAYTAlVTMR0w
// SIG // GwYDVQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlvbjEwMC4G
// SIG // A1UEAxMnU3ltYW50ZWMgVGltZSBTdGFtcGluZyBTZXJ2
// SIG // aWNlcyBDQSAtIEcyAhAOz/Q4yP6/NW4E2GqYGxpQMAkG
// SIG // BSsOAwIaBQCgXTAYBgkqhkiG9w0BCQMxCwYJKoZIhvcN
// SIG // AQcBMBwGCSqGSIb3DQEJBTEPFw0xNDA0MjgxMjI0MzVa
// SIG // MCMGCSqGSIb3DQEJBDEWBBTdCwcETsvnBZgsvSk6Zuaj
// SIG // GbUJhzANBgkqhkiG9w0BAQEFAASCAQBxMbfaFpHoiE7E
// SIG // M4S6fSW5umqu7fF0Cf0wQNqFUMg0gMxIVxVgi9nYQvOE
// SIG // T+dedE1nyjCSthaV5/2RrbgfPdkThbjU3eSFbeFcyDRF
// SIG // JkxVBJK+xhoOQ5cS7xdRw6S8PPnFTflaSDvWScw4vtcg
// SIG // rj4Ftm1NekUcrKRhFveMYzmn81+Qnfr81tzhFEGf1ewO
// SIG // ShNE0aIlCj9D3OLyi3OzAO+M1VwzR3m6fM++cXEVf6Ph
// SIG // E2F4QdzvQ5C4m7EBOBB4G85GAeUlLdWLtuoaTTK9sXoz
// SIG // 59Gvm1W8T9okNEvJm8GTs7MOII8vUG01q1HEzKcePq7/
// SIG // YT1SGqfO3SCA72phKwfX
// SIG // End signature block
